fwblookup(1)

NAME
fwblookup - General purpose object lookup tool

SYNOPSIS
fwblookup [-aattribute] [-rADILMNPTV] -fdata_file.xml object_id|tree_path_to_object

DESCRIPTION
fwblookup is a general purpose object lookup tool for Firewall Builder (see fwbuilder(1)). This tool finds object in the data file specified with "-f" option and prints its attributes requested via command line options. Object to be found is designated by its ID or full tree path given as an argument on the command line. This tool can be used in scripts that need to be able to find and inspect objects in the XML file, such as firewall policy installation script etc.

OPTIONS

-f FILE
    Specify the name of the data file to be processed.

-a atribute
    Print value of the XML attribute 'attribute'. If specified attribute does not exist in the object, fwblookup prints an error message and terminates. This is universal option that can find and print any attribute in any object, provided it exists, however you need to know full tree path to the object or its ID and correct name of the attribute you want to print. This means that detailed knowledge of Firewall Builder XML DTD is required. See below for some convenient shortcut options. This option can be used only once on a command line; if it is used multiple times, then only the last attribute is printed.

-A  Print an address of the object. Since not all objects can have an address, the program verifies type of the object and returns an error if the object does not have an address.

-D  Dump all the data available for the object. If option "-r" is also used, dump recursively the object and all other objects in the tree below it.

-I  Print object's ID.

-l  List all the objects located immediately under the given object in the tree (its 'children') and print their names, IDs, path or type, depending on the options -N, -I, -T or -P which can be used together with -l.

-L  Print interface label

-M  Print management address. Only Host and Firewall objects can have management address.

-N  Print object's name

-P  Print full tree path to the object, starting with a tree root "FWobjectDatabase".

-r  Dump the object and all other objects in the tree below it (see "-d")

-T  Print objects's type name.

-V  Print version number and quit.

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge: http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwbuilder(1), fwbedit(1),